## com.puppycrawl.tools.checkstyle.checks.j2ee
Class AbstractBeanCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
                      com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractBeanCheck

All Implemented Interfaces:
  Configurable, Contextualizable

Direct Known Subclasses:
  EntityBeanCheck, MessageBeanCheck, SessionBeanCheck

    public abstract class AbstractBeanCheck

extends AbstractJ2eeCheck

Abstract class for checks that verify Bean implementation. Checks that a Bean implementation satisfies Bean requirements:

- The class is defined as `public`.
- The class cannot be defined as `abstract` or `final`.
- It contains a `public` constructor with no parameters.
- It must not define the `finalize` method.

Author:
  Rick Giles

Constructor Summary
`AbstractBeanCheck()`

Method Summary
`protected void` `checkBean(DetailAST aAST, String aBeanType, boolean aAllowAbstract)` Checks a bean class requirements.
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`int[]` `getRequiredTokens()` The tokens that this check must be registered for.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
`getMethodChecker, log, logName, setMethodChecker`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBeanCheck

    public AbstractBeanCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### getRequiredTokens

    public int[] getRequiredTokens()

  The tokens that this check must be registered for.

  Overrides:
    `getRequiredTokens` in class `Check`
  Returns:
    the token set this must be registered for.
  See Also:
    `TokenTypes`

### checkBean

    protected void checkBean(DetailAST aAST,
                             String aBeanType,
                             boolean aAllowAbstract)

  Checks a bean class requirements.
  - The class is defined as `public`.
  - It contains a `public` constructor with no parameters.
  - It must not define the `finalize` method.

  Parameters:
    `aAST` - CLASS_DEF node for class definition to check.
    `aBeanType` - bean type for error messages.
    `aAllowAbstract` - if false, the class cannot be abstract.

Back to the Checkstyle Home Page